<?php
session_start();
include ('../../conf.php');

if (!auth_is_user()) {
    redirect("/");
}

if (session("groups") !== "admin") {
    redirect('/');
}

if (isset($_GET['lang']) && $_GET['lang']) {
    $lang = escape($_GET['lang']);
    session('tr_lang', $lang);
} else {
    $lang = session('tr_lang');
}

if (is_file(ROOT."/translate/".basename($lang).".php")) {
    include_once(ROOT."/translate/".basename($lang).".php"); ?>
    <table class="table table-hover table-striped" id="table_translate">
        <thead>
        <tr>
            <th>#</th>
            <th>Оригинал</th>
            <th>Перевод</th>
        </tr>
        </thead>
        <tbody>
        <?php $i = 1;
        foreach ($translate_text[$lang] as $key => $value) { ?>
            <tr class="array_item">
                <td class="array_item_id"><?php echo (int)$i; ?></td>
                <td class="array_item_key"><?php echo html($key); ?></td>
                <td class="array_item_value"><?php echo html($value); ?></td>
                <td class="array_item_anchor_fix"><div id="string_<?php echo (int)$i; ?>"></div></td>
            </tr>
            <?php $i++;
        } ?>
        </tbody>
    </table>
<?php } else { ?>
    <h4>Файл не существует!</h4>
    <p>
        Для создания файла перевода добавьте запись или запустите переводчик на сайте.
    </p>
<?php } ?>

<script>
    $(document).ready(function() {
        $('.array_item').on('click', function() {
            var id = $(this).find('.array_item_id').html();
            var key = $(this).find('.array_item_key').html();
            var value = $(this).find('.array_item_value').html();
            $('#last').val('/translate/set.php#string_'+id);
            $('#origin').html(key);
            $('#origin').val(key);
            $('#translation').html(value);
            $('#translation').val(value);
            $('#current').html(value);
        });
    })
</script>

